P2PQueryEvaluator
Keywords: uk.ac.ic.doc.automed.qproc.eval.P2PQueryEvaluator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.qproc.eval
Class P2PQueryEvaluator

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.evaluate.Evaluator
          uk.ac.ic.doc.automed.qproc.eval.P2PQueryEvaluator

All Implemented Interfaces:
  QueryEvaluationProvider

    public class P2PQueryEvaluator

extends Evaluator

ConstraintEvaluator.java

Author:
  Duc M Le dmle@doc.ic.ac.uk

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.qproc.evaluate.Evaluator
`_ft, _qpc, _qpCache, addApplyToSpine, applyToSpineCalls, builtins, builtinsTimeSpent, endApplyInSpine, endBuiltIn, endEval, endRL, endWHNF, evaluationTimeSpent, lambdaCalls, lambdaTimeSpent, logger, performCalls, performEnd, performStart, performTimeSpent, realWHNFCalls, startApplyInSpine, startBuiltIn, startEval, startRL, startWHNF, totalEvaluateCalls, totalWHNFCalls, whnfTimeSpent`

Constructor Summary
`P2PQueryEvaluator(FunctionTable ftab)` Deprecated. use `#Evaluator(QueryProcessorConfiguration)` instead
`P2PQueryEvaluator(FunctionTable ftab, int sourceSchemaSID)` Deprecated. use `#Evaluator(QueryProcessorConfiguration)` instead
`P2PQueryEvaluator(QueryProcessorConfiguration qpc)`

Method Summary
`void` | `evaluate(ASG g, java.util.Map cache, QueryProcessorConfiguration qpc)` Evaluates g to normal form.

Methods inherited from class uk.ac.bbk.dcs.automed.qproc.evaluate.Evaluator
`evaluate, evaluate, finalize, getConfiguration, getName, getQPCache, getQueryDescription, getQueryID, getSourceSchemaSID, initialisePerformanceVars, processConfiguration, rangeSimplifications, setCacheStatus, weakHeadNF`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P2PQueryEvaluator

    public P2PQueryEvaluator(QueryProcessorConfiguration qpc)

### P2PQueryEvaluator

    public P2PQueryEvaluator(FunctionTable ftab)

  Deprecated. use `#Evaluator(QueryProcessorConfiguration)` instead

### P2PQueryEvaluator

    public P2PQueryEvaluator(FunctionTable ftab,
                             int sourceSchemaSID)

  Deprecated. use `#Evaluator(QueryProcessorConfiguration)` instead

Method Detail

### evaluate

    public void evaluate(ASG g,
                         java.util.Map cache,
                         QueryProcessorConfiguration qpc)
                  throws QueryEvaluationException

  Description copied from class: `Evaluator`
  Evaluates g to normal form. Does not return a new ASG but instead changes g.

  Specified by:
    `evaluate` in interface `QueryEvaluationProvider`
  Overrides:
    `evaluate` in class `Evaluator`
  Parameters:
    `g` - an `ASG` object of an IQL query
    `qpc` - a {@link QueryProcessingConfiguration) object specific for query evaluation
  Throws:
    `QueryEvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD